Create Blog Post
Creates a Blog Post.
Required Fields
titlebody
Notes
- When including
published_datein a request, supply it as a flat date string (not an object) in valid RFC 2822. The following example request includes apublished_datein RFC 2822 format. - Blog posts default to draft status. To publish blog posts to the storefront, set the
is_publishedproperty totrue. - If a custom URL is not provided, the post’s URL will be generated based on the value of
title.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Request
Description text for this blog post’s <meta/> element.
Keywords for this blog post’s <meta/> element.
Local path to a thumbnail uploaded to /product_images/ using WebDAV.
Response
URL to preview the blog post. READ-ONLY.
Summary of the blog post. READ-ONLY.
Published date in ISO 8601 format.
Description text for this blog post’s <meta/> element.
Keywords for this blog post’s <meta/> element.
Local path to a thumbnail uploaded to /product_images/ using WebDAV.